RankSharkDocs
Reports

Delete a saved report

RankShark TrackScopetrack:reports

DELETE
/v1/track/reports/{id}

Scope: track:reports.

Authorization

headerAuthorizationBearer <rstk_… API key or OAuth access token>

A Track API key (rstk_…, Settings → API & MCP) or an OAuth access token issued for this API

Path Parameters

id*string

Report id (rp_…). A malformed id is 404 not_found.

Match^rp_[A-Za-z0-9]{10,40}$

Response Body

OK

application/json
  1. response
ok*boolean
Example Request
curl -X DELETE 'https://panel.rankshark.io/v1/track/reports/rp_7Tb2Xc9Mv4LdWs'
Example Response
{  "ok": true}